#### REC

#### Synopsis

    HELP:   Format each element to one standard record (possible meta data lost)
    TYPE:   OBJECT
    SYNTAX: REC(BUFSIZ=num,INICNT=num)

#### Description

The object "format record" simply turns each element into a standard record. This can result in strange data. For example, if you have XML elements then only the raw data of each element will be a record. Or for text elements a record with the text element and a record with the corresponding rest element is created. If this is written with FIO.REC() then one line contains the text record and the next line contains the original delimiter with the optional suppressed trailing whitespace in front of it.

#### Arguments

- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation [65536]`
- `NUMBER: INICNT=num - Initial amount of records for preallocation [128]`